declare const _default: {
  "$ref": "#/definitions/Condition",
  "definitions": {
    "Base": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        }
      }
    },
    "Condition": {
      "oneOf": [
        {
          "$ref": "#/definitions/Datasource"
        },
        {
          "$ref": "#/definitions/Privilege"
        },
        {
          "$ref": "#/definitions/Combination"
        },
        {
          "$ref": "#/definitions/ParentState"
        },
        {
          "$ref": "#/definitions/Reference"
        }
      ]
    },
    "Datasource": {
      "allOf": [
        {
          "$ref": "#/definitions/Base"
        }
      ],
      "properties": {
        "type": {
          "const": "datasource"
        },
        "path": {
          "type": "string"
        },
        "value": {
          "type": ["number", "string", "boolean", "object", "array", "null"]
        },
        "valueType": {
          "enum": ["datasource", "hardCoded"]
        },
        "op": {
          "enum": ["eq", "neq", "regex", "in", "nin", "gt", "gte", "lt", "lte"]
        }
      }
    },
    "Privilege": {
      "allOf": [
        {
          "$ref": "#/definitions/Base"
        }
      ],
      "properties": {
        "type": {
          "const": "privilege"
        },
        "value": {
          "type": "string"
        },
        "valueType": {
          "enum": ["datasource", "hardCoded"]
        },
        "op": {
          "enum": ["eq", "neq", "regex"]
        }
      }
    },
    "Combination": {
      "allOf": [
        {
          "$ref": "#/definitions/Base"
        }
      ],
      "properties": {
        "type": {
          "const": "combination"
        },
        "op": {
          "enum": ["and", "or"]
        },
        "conditions": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Condition"
          }
        }
      }
    },
    "ParentState": {
      "allOf": [
        {
          "$ref": "#/definitions/Base"
        }
      ],
      "properties": {
        "type": {
          "const": "parentState"
        },
        "value": {
          "type": "string"
        },
        "valueType": {
          "enum": ["datasource", "hardCoded"]
        },
        "op": {
          "enum": ["eq", "neq", "regex"]
        }
      }
    },
    "Reference": {
      "allOf": [
        {
          "$ref": "#/definitions/Base"
        }
      ],
      "properties": {
        "type": {
          "const": "reference"
        },
        "ref": {
          "type": "string"
        }
      }
    }
  }
}
;

export default _default;
